<?php

if (isset ($_GET['callback'])) {
	header("Content-type: text/javascript");
} else {
	header("Content-type: application/json");
}


/**
 * include some common code (like we did in the 90s)
 * People still do this? ;)
 */
include_once 'common.php';

/**
 * Check for a POSTed status message to send to Twitter
 */
if (!empty($_GET)
&& isset($_SESSION['TWITTER_ACCESS_TOKEN'])) {
    /**
     * Easiest way to use OAuth now that we have an Access Token is to use
     * a preconfigured instance of Zend_Http_Client which automatically
     * signs and encodes all our requests without additional work
     */
     
    if (isset($_GET['endpoint'])) {
    	$endpoint = $_GET['endpoint'];
		unset($_GET['endpoint']);
    } else {
    	$endpoint = "search/tweets";
    }

    $token = unserialize($_SESSION['TWITTER_ACCESS_TOKEN']);
    $client = $token->getHttpClient($configuration);
    $client->setUri("https://api.twitter.com/1.1/$endpoint.json");
    $client->setMethod(Zend_Http_Client::GET);
    $client->setParameterGet($_GET);
    $response = $client->request();

    echo $response->getBody();

} else {
    /**
     * Mistaken request? Some malfeasant trying something?
     */
    exit('Invalid tweet request. Oops. Sorry.');
}
?>